; ================================
;                    MonitorThis v0.8
;                        by KolNedra
; ================================


on *:START:{ .ial ON }

on *:LOAD:{
  mt08.ea Thanks for downloading 3'MonitorThis v0.83'
  mt08.ea Check the menubar for a list of options...
  set %mt08.res $?!="YES = 1024x768 ---- NO = 800x600"
  if (%mt08.res = $true) { %mt08.res = 1024x768 }
  else { %mt08.res = 800x600 }
  mt08.clear.results
  %mt08.window.x = 105
  %mt08.window.y = 100
  .ial ON
}

alias mt08.ea { echo -at 3***4 $1- }

menu menubar {
  -
   MonitorThis v0.8 
  .Run Small Monitor:mt08.run.small
  .Run Info Monitor:mt08.run.info
  .Set X + Y Small Monitor:mt08.set.xy
.-
.Help:mt08.help
  .-
  .Reset:mt08.reset
  .Unload:mt08.unload
}


on *:CONNECT:{ .timer 0 1 inc %mt08.total.connection.time | %mt08.connection = $ctime | if ($server !isin $r.i(CONNECTION,Dif)) { w.i.w CONNECTION Dif $r.i(CONNECTION,Dif) $server | w.i.i CONNECTION Dif_S } | unset %mt08.disconnect }
on *:DISCONNECT:{ %mt08.disconnect = $ctime }

alias mt08.run.small {
  if ($window(@MonitorThis) = @MonitorThis) { halt }
  if ($window(@MTMin) = @MTMin) { window -c @MTMin }
  .window -aophk1d +dL @MonitorThis %mt08.window.x %mt08.window.y 105 100
  .drawpic @MonitorThis 0 0 MonitorThis\Back.bmp
  .drawpic -s @MonitorThis 2 2 30 30 MonitorThis\GreenLight_off.bmp
  .drawpic -s @MonitorThis 32 2 30 30 MonitorThis\YellowLight_off.bmp
  .drawpic -s @MonitorThis 62 2 30 30 MonitorThis\RedLight_off.bmp
  set %mt08.window.x $window(@MonitorThis).dx
  set %mt08.window.y $window(@MonitorThis).dy
  %mt08.active.result = $mt08.total.results
  if (%mt08.maximized != YES) {
    .mt08.green.active 1000
    .timer -m 1 200 mt08.yellow.active 1000
    .timer -m 1 400 mt08.red.active 1000
    mt08.write.1 Monitoring Started...
    mt08.write.2 $chr(160)
    mt08.write.3 @ $asctime(HH:nn:ss)

  }
}

menu @MonitorThis {
  sclick:{
    if (($mouse.x isnum 94-104) && ($mouse.y isnum 0-9)) { window -c @MonitorThis | if ($dialog(mt08.set.xy) = mt08.set.xy) { dialog -x mt08.set.xy mt08.set.xy } }
    if (($mouse.x isnum 95-104) && ($mouse.y isnum 10-19)) { mt08.minimize }
    if (($mouse.x isnum 95-104) && ($mouse.y isnum 20-35)) { mt08.help }
    if (($mouse.x isnum 95-104) && ($mouse.y isnum 35-42)) { mt08.clear.results }
    if (($mouse.x isnum 95-104) && ($mouse.y isnum 42-67)) { mt08.info.up }
    if (($mouse.x isnum 95-104) && ($mouse.y isnum 67-98)) { mt08.info.down }
  }
}


alias mt08.set.xy { if ($window(@MonitorThis) = $null) { mt08.run.small } | dialog -m mt08.set.xy mt08.set.xy }

dialog mt08.set.xy {
  title "Set X + Y Co-ordinates for the small Monitor"
  size -1 -1 200 230
  button "UP", 2, 80 5 40 50
  button "Left", 3, 20 55 60 35
  button "Right", 4, 120 55 60 35
  button "Down", 5, 80 90 40 55
  check "Giant Steps", 6, 5 160 80 20
  button "OK", 1, 60 185 40 40, ok
  button "Cancel", 7, 101 185 40 40, cancel
}

on *:DIALOG:mt08.set.xy:INIT:*:{
  %mt08.previous.x = $window(@MonitorThis).dx
  %mt08.previous.y = $window(@MonitorThis).dy
  did -c mt08.set.xy 6
  set %mt08.window.x $window(@MonitorThis).dx
  set %mt08.window.y $window(@MonitorThis).dy
}

on *:DIALOG:mt08.set.xy:SCLICK:*:{
  if ($did = 4) { 
    %mt08.maximized = YES
    .timer 1 1 unset %mt08.maximized
    window -c @MonitorThis 
    if ($did(mt08.set.xy,6).state = 1) { inc %mt08.window.x 50 } 
    else { inc %mt08.window.x 2 } 
    mt08.run.sm4ll

  }

  if ($did = 2) {
    %mt08.maximized = YES
    .timer 1 1 unset %mt08.maximized
    window -c @MonitorThis
    if ($did(mt08.set.xy,6).state = 1) { dec %mt08.window.y 50 }
    else { dec %mt08.window.y 2 }
    mt08.run.sm4ll
  }
  if ($did = 3) {
    %mt08.maximized = YES
    .timer 1 1 unset %mt08.maximized
    window -c @MonitorThis
    if ($did(mt08.set.xy,6).state = 1) { dec %mt08.window.x 50 }
    else { dec %mt08.window.x 2 }
    mt08.run.sm4ll
  }
  if ($did = 5) {
    %mt08.maximized = YES
    .timer 1 1 unset %mt08.maximized
    window -c @MonitorThis
    if ($did(mt08.set.xy,6).state = 1) { inc %mt08.window.y 50 }
    else { inc %mt08.window.y 2 }
    mt08.run.sm4ll
  }
  if ($did = 7) {
    set %mt08.window.x %mt08.previous.x
    set %mt08.window.y %mt08.previous.y
    %mt08.maximized = YES
    .timer 1 1 unset %mt08.maximized
    window -c @MonitorThis
    mt08.run.sm4ll
    unset %mt08.previous.*
  }
}
alias mt08.minimize {
  window -c @MonitorThis
  if ($window(@MTMin) = @MTMin) { window -c @MTMin } 
  if (%mt08.res = 800x600) { window -aophk0d +dL @MTMin 729 2 16 14 }
  if (%mt08.res = 1024x768) { window -aophk0d +dL @MTMin 953 3 16 14 }
  .timer -m 1 2 drawpic @MTMin 0 0 MonitorThis\Min_off.bmp
}

menu @MTMin {
  sclick:{ drawpic @MTMin 0 0 MonitorThis\Min_on.bmp | %mt08.temp = Clicked }
  uclick:{ drawpic @MTMin 0 0 MonitorThis\Min_off.bmp | unset %mt08.temp | window -c @MTMin | %mt08.maximized = YES | .timer 1 1 unset %mt08.maximized | mt08.run.small }
  mouse:{ if (%mt08.temp = Clicked) { if ($mouse.key = 1) { drawpic @MTMin 0 0 MonitorThis\Min_on.bmp } } | else { unset %mt08.temp } }
  drop:{ drawpic @MTMin 0 0 MonitorThis\Min_off.bmp | unset %mt08.temp }
  leave:{ if (%mt08.temp = Clicked) { drawpic @MTMin 0 0 MonitorThis\Min_off.bmp } }
}


alias mt08.red.active {
  if ($window(@MonitorThis) = @MonitorThis) { 
  .drawpic -s @MonitorThis 62 2 30 30 MonitorThis\RedLight_on.bmp | .drawpic -s @MonitorThis 62 2 30 30 MonitorThis\RedLight_off.bmp | .timer -m 1 100 .drawpic -s @MonitorThis 62 2 30 30 MonitorThis\RedLight_off.bmp | .timer -m 1 200 .drawpic -s @MonitorThis 62 2 30 30 MonitorThis\RedLight_on.bmp | .timer -m 1 300 .drawpic -s @MonitorThis 62 2 30 30 MonitorThis\RedLight_off.bmp | .timer -m 1 400 .drawpic -s @MonitorThis 62 2 30 30 MonitorThis\RedLight_on.bmp | .timer -m 1 500 .drawpic -s @MonitorThis 62 2 30 30 MonitorThis\RedLight_off.bmp | .timer -m 1 600 .drawpic -s @MonitorThis 62 2 30 30 MonitorThis\RedLight_on.bmp | .timer -m 1 700 .drawpic -s @MonitorThis 62 2 30 30 MonitorThis\RedLight_off.bmp | .timer -m 1 800 .drawpic -s @MonitorThis 62 2 30 30 MonitorThis\RedLight_on.bmp | .timer -m 1 $1 .drawpic -s @MonitorThis 62 2 30 30 MonitorThis\RedLight_off.bmp }
}

alias mt08.Yellow.active {
  if ($window(@MonitorThis) = @MonitorThis) { 
  .drawpic -s @MonitorThis 32 2 30 30 MonitorThis\YellowLight_on.bmp |  .drawpic -s @MonitorThis 32 2 30 30 MonitorThis\YellowLight_off.bmp | .timer -m 1 100 .drawpic -s @MonitorThis 32 2 30 30 MonitorThis\YellowLight_off.bmp | .timer -m 1 200 .drawpic -s @MonitorThis 32 2 30 30 MonitorThis\YellowLight_on.bmp | .timer -m 1 300 .drawpic -s @MonitorThis 32 2 30 30 MonitorThis\YellowLight_off.bmp | .timer -m 1 400 .drawpic -s @MonitorThis 32 2 30 30 MonitorThis\YellowLight_on.bmp | .timer -m 1 500 .drawpic -s @MonitorThis 32 2 30 30 MonitorThis\YellowLight_off.bmp | .timer -m 1 600 .drawpic -s @MonitorThis 32 2 30 30 MonitorThis\YellowLight_on.bmp | .timer -m 1 700 .drawpic -s @MonitorThis 32 2 30 30 MonitorThis\YellowLight_off.bmp | .timer -m 1 800 .drawpic -s @MonitorThis 32 2 30 30 MonitorThis\YellowLight_on.bmp | .timer -m 1 $1 .drawpic -s @MonitorThis 32 2 30 30 MonitorThis\YellowLight_off.bmp  }
}

alias mt08.Green.active {
  if ($window(@MonitorThis) = @MonitorThis) { 
  .drawpic -s @MonitorThis 2 2 30 30 MonitorThis\GreenLight_on.bmp | .drawpic -s @MonitorThis 2 2 30 30 MonitorThis\GreenLight_off.bmp | .timer -m 1 100 .drawpic -s @MonitorThis 2 2 30 30 MonitorThis\GreenLight_off.bmp | .timer -m 1 200 .drawpic -s @MonitorThis 2 2 30 30 MonitorThis\GreenLight_on.bmp | .timer -m 1 300 .drawpic -s @MonitorThis 2 2 30 30 MonitorThis\GreenLight_off.bmp | .timer -m 1 400 .drawpic -s @MonitorThis 2 2 30 30 MonitorThis\GreenLight_on.bmp | .timer -m 1 500 .drawpic -s @MonitorThis 2 2 30 30 MonitorThis\GreenLight_off.bmp | .timer -m 1 600 .drawpic -s @MonitorThis 2 2 30 30 MonitorThis\GreenLight_on.bmp | .timer -m 1 700 .drawpic -s @MonitorThis 2 2 30 30 MonitorThis\GreenLight_off.bmp | .timer -m 1 800 .drawpic -s @MonitorThis 2 2 30 30 MonitorThis\GreenLight_on.bmp |  .timer -m 1 $1 .drawpic -s @MonitorThis 2 2 30 30 MonitorThis\GreenLight_off.bmp  }
}

alias -l mt08.clear {
  if ($window(@MonitorThis) = @MonitorThis) { .drawrect -f @MonitorThis 15 1 3 42 90 51 }
}

on *:KICK:#:{
  if ($nick = $me) { w.i.i KBOV U_Kicked }
  if ($knick = $me) { 
    w.i.i KBOV Been_Kicked 
    mt08.red.active 4000 
    mt08.write.1 Kicked from $chan 
    mt08.write.2 By $mid($nick,1,8)
    mt08.write.3 @ $asctime(HH:nn:ss)
  }
}

on *:BAN:#:{
  if ($nick = $me) { w.i.i KBOV U_Banned }
  if ($mt08.your.mask($banmask) = $true) {
    w.i.i KBOV Been_Banned
    mt08.red.active 4000 
    mt08.write.1 Banned from $chan 
    mt08.write.2 By $mid($nick,1,8)
    mt08.write.3 @ $asctime(HH:nn:ss)
  }
}

on *:DEOP:#:{
  if ($nick = $me) { w.i.i KBOV U_DeOpped }
  if ($opnick = $me) {
    w.i.i KBOV Been_DEOpped
    mt08.red.active 4000 
    mt08.write.1 DE-Opped on $chan 
    mt08.write.2 By $mid($nick,1,8)
    mt08.write.3 @ $asctime(HH:nn:ss)
  }
}

on *:DEVOICE:#:{
  if ($vnick = $me) {
    mt08.red.active 4000 
    mt08.write.1 DE-VOICED on $chan 
    mt08.write.2 By $mid($nick,1,8)
    mt08.write.3 @ $asctime(HH:nn:ss)
  }
}

on *:OPEN:?:{
  mt08.yellow.active 4000 
  mt08.write.1 Started Query
  mt08.write.2 With $mid($nick,1,8)
  mt08.write.3 @ $asctime(HH:nn:ss)
}

on *:TEXT:*:#:{
  if ($me isin $strip($1-)) { 
    mt08.yellow.active 4000 
    mt08.write.1 Your Nick was Said
    mt08.write.2 By $mid($nick,1,8) on $chan
    mt08.write.3 @ $asctime(HH:nn:ss)
  }
}

on *:TEXT:*:?:{
  if ($me isin $strip($1-)) { 
    mt08.yellow.active 4000 
    mt08.write.1 Your Nick was Said
    mt08.write.2 By $nick (Query)
    mt08.write.3 @ $asctime(HH:nn:ss)
  }
}

on *:ACTION:*:#:{
  if ($me isin $strip($1-)) { 
    mt08.yellow.active 4000 
    mt08.write.1 Your Nick was Said
    mt08.write.2 By $mid($nick,1,8) on $chan
    mt08.write.3 @ $asctime(HH:nn:ss)
  }
}

on *:ACTION:*:?:{
  if ($me isin $strip($1-)) { 
    mt08.yellow.active 4000 
    mt08.write.1 Your Nick was Said
    mt08.write.2 By $mid($nick,1,8) (Query)
    mt08.write.3 @ $asctime(HH:nn:ss)
  }
}

on *:OP:#:{
  if ($nick = $me) { w.i.i KBOV U_Opped }
  if ($opnick = $me) {
    w.i.i KBOV Been_Opped
    mt08.green.active 4000 
    mt08.write.1 $mid($nick,1,8) OPPED you
    mt08.write.2 on $chan
    mt08.write.3 @ $asctime(HH:nn:ss)
  }
}

on *:VOICE:#:{
  if ($nick = $me) { w.i.i KBOV U_Voiced }
  if ($vnick = $me) {
    w.i.i KBOV Been_DEVoiced
    w.i.i KBOV Been_Voiced
    mt08.green.active 4000 
    mt08.write.1 $mid($nick,1,8) VOICED You
    mt08.write.2 on $chan
    mt08.write.3 @ $asctime(HH:nn:ss)
  }
}

on *:JOIN:#:{ .updatenl }

on *:INVITE:#:{
  mt08.green.active 4000 
  mt08.write.1 Invitation to $chan
  mt08.write.2 from $mid($nick,1,8)
  mt08.write.3 @ $asctime(HH:nn:ss)
}

alias mt08.total.results {
  return $readini MonitorThis\results.ini Total Total
}

alias -l mt08.inc.results { 
  %mt08.temp = $calc($mt08.total.results + 1)
  .writeini MonitorThis\results.ini Total Total %mt08.temp
  unset %mt08.temp
}

alias -l mt08.write.1 {
  mt08.clear
  if ($window(@MonitorThis) = @MonitorThis) { .drawtext @MonitorThis 1 Arial 12 4 42 $1- }
  mt08.inc.results
  .writeini MonitorThis\results.ini Total Total $mt08.total.results
  .writeini MonitorThis\results.ini $readini MonitorThis\results.ini Total Total 1 $1-
  inc %mt08.active.result
}


alias -l mt08.write.2 {
  if ($window(@MonitorThis) = @MonitorThis) { .drawtext @MonitorThis 1 Arial 12 4 54 $1- }
  .writeini MonitorThis\results.ini $mt08.total.results 2 $1-
}

alias -l mt08.write.3 {
  if ($window(@MonitorThis) = @MonitorThis) { .drawtext @MonitorThis 1 Arial 12 4 75 $1- }
  .writeini MonitorThis\results.ini $mt08.total.results 3 $1-
}

alias -l mt08.clear.results {
  if ($window(@MonitorThis) = @MonitorThis) { mt08.clear }
  .remove MonitorThis\results.ini
  %mt08.active.result = 0
  .writeini MonitorThis\results.ini Total Total 0
  mt08.write.1 Results Cleared!
  mt08.write.2 $chr(160)
  mt08.write.3 @ $asctime(HH:nn:ss)
}

alias -l mt08.rr {
  return $readini MonitorThis\results.ini $1 $2
}

alias -l mt08.info.up {
  if (%mt08.active.result = 1) { halt }
  mt08.clear
  dec %mt08.active.result
  .drawtext @MonitorThis 1 Arial 12 4 42 $mt08.rr(%mt08.active.result,1)
  .drawtext @MonitorThis 1 Arial 12 4 54 $mt08.rr(%mt08.active.result,2)
  .drawtext @MonitorThis 1 Arial 12 4 75 $mt08.rr(%mt08.active.result,3)
}

alias -l mt08.info.down {
  if (%mt08.active.result = $mt08.total.results) { halt }
  mt08.clear
  inc %mt08.active.result
  .drawtext @MonitorThis 1 Arial 12 4 42 $mt08.rr(%mt08.active.result,1)
  .drawtext @MonitorThis 1 Arial 12 4 54 $mt08.rr(%mt08.active.result,2)
  .drawtext @MonitorThis 1 Arial 12 4 75 $mt08.rr(%mt08.active.result,3)
}

alias mt08.your.mask { if ($1 = $me [ $+ [ !*@* ] ] ) { return $true } | if ($1 = $address($me,0)) { return $true } | if ($1 = $address($me,1)) { return $true } | if ($1 = $address($me,2)) { return $true } | if ($1 = $address($me,3)) { return $true } | if ($1 = $address($me,4)) { return $true } | if ($1 = $address($me,5)) { return $true } | if ($1 = $address($me,6)) { return $true } | if ($1 = $address($me,7)) { return $true } | if ($1 = $address($me,8)) { return $true } | if ($1 = $address($me,9)) { return $true } | else { return $false } }

alias mt08.run.sm4ll {
  if ($window(@MonitorThis) = @MonitorThis) { halt }
  .window -aophk1d +dL @MonitorThis %mt08.window.x %mt08.window.y 105 100
  .drawpic @MonitorThis 0 0 MonitorThis\Back.bmp
  .drawpic -s @MonitorThis 2 2 30 30 MonitorThis\GreenLight_off.bmp
  .drawpic -s @MonitorThis 32 2 30 30 MonitorThis\YellowLight_off.bmp
  .drawpic -s @MonitorThis 62 2 30 30 MonitorThis\RedLight_off.bmp

  .drawtext @MonitorThis 1 Arial 12 4 42 $mt08.rr(%mt08.active.result,1)
  .drawtext @MonitorThis 1 Arial 12 4 54 $mt08.rr(%mt08.active.result,2)
  .drawtext @MonitorThis 1 Arial 12 4 75 $mt08.rr(%mt08.active.result,3)

  set %mt08.window.x $window(@MonitorThis).dx
  set %mt08.window.y $window(@MonitorThis).dy
}

alias mt08.reset {
  if ($window(@MonitorThis) = @MonitorThis) { mt08.clear.results | window -c @MonitorThis }
  if ($window(@MTMin) = @MTMin) { window -c @MTMin }
  unset %mt08.*
  mt08.ea Script Succesfully Resetted!
  .load -rs MonitorThis\mt08.mrc
}

alias mt08.unload {
  if ($window(@MonitorThis) = @MonitorThis) { mt08.clear.results | window -c @MonitorThis }
  if ($window(@MTMin) = @MTMin) { window -c @MTMin }
  unset %mt08.*
  mt08.ea Script succesfullt Unloaded!
  .remove MonitorThis\results.ini
  .unload -rs MonitorThis\mt08.mrc
}

alias mt08.help { 
  run MonitorThis\help.htm
}

alias mt08.run.info { dialog -m mt08.INFO mt08.INFO }

dialog mt08.INFO {
  button "Ok", 1, 0 0 0 0, ok
  title "MonitorThis v0.8 InfoWindow"
  size -1 -1 400 400
  tab "Personal", 2, 3 5 397 395
  box "Text 'N Action", 6, 5 40 195 200, tab 2
  box "Connection", 24, 201 40 199 105, tab 2
  box "Been KICK / BAN / OP / VOICE", 33, 201 150 199 150, tab 2
  box "You KICK / BAN / OP / VOICE:", 46, 5 242 195 150, tab 2

  text "You Kicked:", 47, 10 260 100 20, tab 2
  edit "0", 48, 135 258 60 18, right, read, tab 2

  text "You Banned:", 49, 10 282 100 20, tab 2
  edit "0", 50, 135 280 60 18, right, read, tab 2

  text "You De-OPPED:", 51, 10 304 100 20, tab 2
  edit "0", 52, 135 302 60 18, right, read, tab 2

  text "You OPPED:", 53, 10 326 100 20, tab 2
  edit "0", 54, 135 324 60 18, right, read, tab 2

  text "You VOICED:", 55, 10 348 100 20, tab 2
  edit "0", 56, 135 346 60 18, right, read, tab 2

  text "You De-VOICED:", 57, 10 370 100 20, tab 2
  edit "0", 58, 135 368 60 18, right, read, tab 2

  text "Been Kicked:", 34, 206 165 100 20, tab 2
  edit "0", 35, 335 164 60 18, right, read, tab 2

  text "Been Banned:", 36, 206 187 100 20, tab 2
  edit "0", 37, 335 185 60 18, right, read, tab 2

  text "Been De-OPPED:", 38, 206 209 100 20, tab 2
  edit "0", 39, 335 207 60 18, right, read, tab 2

  text "Percentage Text / Action", 21, 10 214 130 20, tab 2
  edit "100", 22, 135 212 30 18, right, read, tab 2
  text "%", 23, 170 214 20 20, tab 2

  text "Been De-VOICED:", 40, 206 231 100 20, tab 2
  edit "0", 41, 335 229 60 18, right, read, tab 2

  text "Been OPPED:", 42, 206 253 100 20, tab 2
  edit "0", 43, 335 251 60 18, right, read, tab 2

  text "Been VOICED:", 44, 206 275 100 20, tab 2
  edit "0", 45, 335 273 60 18, right, read, tab 2

  text "Online:", 25, 206 60 100 20, tab 2
  edit "0days 0hours 0mins 0secs", 26, 254 57 142 18, right, read, tab 2

  text "Total:", 27, 206 82 100 20, tab 2
  edit "0days 0hours 0mins 0secs", 28, 254 79 142 18, right, read, tab 2

  text "Uptime:", 29, 206 104 100 20, tab 2
  edit "0days 0hours 0mins 0secs", 30, 254 102 142 18, right, read, tab 2

  text "Servers Connected:", 31, 206 126 100 20, tab 2
  edit "0", 32, 335 124 60 18, read, right, tab 2

  text "Lines Spoken:", 7, 10 60 100 20, tab 2
  edit "0", 8, 135 57 60 18, right, read, tab 2

  text "Actions Done:", 9, 10 82 100 20, tab 2
  edit "0", 10, 135 79 60 18, right, read, tab 2

  text "Longest Line:", 11, 10 104 100 20, tab 2
  edit "0", 12, 135 101 60 18, right, read, tab 2

  text "Longest Action:", 13, 10 126 100 20, tab 2 
  edit "0", 14, 135 123 60 18, right, read, tab 2 

  text "Averge Line (per 10min):", 15, 10 148 130 20, tab 2 
  edit "0", 16, 135 145 60 18, right, read, tab 2
}

on *:DIALOG:mt08.info:INIT:*:{
  did -c mt08.INFO 2
  d.i.o 8 $r.i(TEXTACTIONS,Lines_Spoken)
  d.i.o 10 $r.i(TEXTACTIONS,Actions_Done)
  d.i.o 12 $r.i(TEXTACTIONS,Longest_Line)
  d.i.o 14 $r.i(TEXTACTIONS,Longest_Action)
  %mt08.temp = $calc(%mt08.total.connection.time / 600)
  %mt08.temp = $calc($r.i(TEXTACTIONS,Lines_Spoken) / %mt08.temp)
  d.i.o 16 $int(%mt08.temp)
  d.i.o 22 $int($calc($calc($r.i(TEXTACTIONS,Lines_Spoken) / $calc($r.i(TEXTACTIONS,Lines_Spoken) + $r.i(TEXTACTIONS,Actions_Done))) * 100))
  if (%mt08.disconnect = $null) { d.i.o 26 $duration($calc($ctime - %mt08.connection)) }
  else { d.i.o 26 $duration($calc(%mt08.disconnect - %mt08.connection)) }
  d.i.o 28 $duration(%mt08.total.connection.time)
  d.i.o 30 $duration($calc($ticks / 1000))
  d.i.o 32 $r.i(CONNECTION,Dif_s)
  unset %mt08.temp
  d.i.o 48 $r.i(KBOV,U_Kicked)
  d.i.o 50 $r.i(KBOV,U_Voided)
  d.i.o 35 $r.i(KBOV,Been_Kicked)
  d.i.o 37 $r.i(KBOV,Been_Banned)
  d.i.o 39 $r.i(KBOV,Been_DeOpped)
  d.i.o 41 $r.i(KBOV,Been_DeVoiced)
  d.i.o 43 $r.i(KBOV,Been_Opped)
  d.i.o 45 $r.i(KBOV,Been_Voiced)
  d.i.o 48 $r.i(KBOV,U_Kicked)
  d.i.o 50 $r.i(KBOV,U_Banned)
  d.i.o 52 $r.i(KBOV,U_DeOpped)
  d.i.o 54 $r.i(KBOV,U_Opped)
  d.i.o 56 $r.i(KBOV,U_Voiced)
  d.i.o 58 $r.i(KBOV,U_DeVoiced)

}


alias r.i {
  if ($readini MonitorThis\actions.ini $1 $2  = $null) { return 0 }
  return $readini MonitorThis\actions.ini $1 $2
}

alias w.i.i {
  if ($readini MonitorThis\actions.ini $1 $2 = $null) { .writeini MonitorThis\actions.ini $1 $2 0 }
  %mt08.temp = $readini MonitorThis\actions.ini $1 $2
  inc %mt08.temp
  .writeini MonitorThis\actions.ini $1 $2 %mt08.temp
  unset %mt08.temp
}

alias w.i.w {
  .writeini MonitorThis\actions.ini $1-
}

alias mt08.max.length.line { 
  if ($readini MonitorThis\actions.ini TEXTACTIONS Longest_Line = $null) { return 0 }
  return $readini MonitorThis\actions.ini TEXTACTIONS Longest_Line
}

alias mt08.max.length.action { 
  if ($readini MonitorThis\actions.ini TEXTACTIONS Longest_Action = $null) { return 0 }
  return $readini MonitorThis\actions.ini TEXTACTIONS Longest_Action
}

on *:INPUT:*:{
  if (($server != $null) && ($chan(0) > 0)) {

    if ((($chr(35) isin $active) || (Status !isin $active) || (@ isin $active))) { 
      if ($mid($1,1,1) != /) { 
        w.i.i TEXTACTIONS Lines_Spoken 
        if ($len($1-) > $mt08.max.length.line) { w.i.w TEXTACTIONS Longest_Line $len($1-) }
      }
    }
    if (((($1 = /ame) || ($1 = /me) || ($1 = //me) || ($1 = //ame)))) {  
      w.i.i TEXTACTIONS Actions_Done 
      if ($len($1-) > $mt08.max.length.action) { w.i.w TEXTACTIONS Longest_Action $len($1-) } 
    }
  }
}


alias d.i.o { did -o mt08.INFO $1 1 $2- }
